Update to gnome-desktop-sharp2 2.24 for Tomboy

Bug #317344 reported by Chris Halse Rogers on 2009-01-15
8
Affects Status Importance Assigned to Milestone
gnome-desktop-sharp2 (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: gnome-desktop-sharp2

Now that we've got gnome-sharp2 2.24, Tomboy needs gnome-panel-sharp-2.24 from gnome-desktop-sharp2 to build.

Pedro Fragoso (ember) wrote :
Pedro Fragoso (ember) wrote :

gnome-desktop-sharp2 (2.24.0-1ubuntu1) jaunty; urgency=low

  * Sync with Debian (LP: #317344)
  * Add Build-dep on libgnomeprintui2.2-dev
  * Install the upstream changelog in the gnome-desktop-sharp2
    package only
  * debian/patches/02_gnomedesktop_dllmap
    + Actually map the new libgnome-desktop-2-11 lib. Fixes
      the dependency generation and library use.

 -- Pedro Fragoso <email address hidden> Tue, 20 Jan 2009 12:30:23 +0000

spitfire (mieszkoslusarczyk) wrote :

I'm getting this in pbuilder:

applying patch 02_gtkhtml-version to ./ ... ok.
applying patch 02_gnomedesktop_dllmap to ./ ...patch: **** malformed patch at line 17:

 failed.
make: *** [patch-stamp] Error 1

Pedro Fragoso (ember) wrote :

It's seems the diff got corrupted. 2009-01-20 13:06 gnome-desktop-sharp2_2.24.0-1ubuntu1_all.deb

I've refreshed the patch.

Pedro Fragoso (ember) wrote :
spitfire (mieszkoslusarczyk) wrote :

Now the patch is ok, but monodevelop (that i adappted for the new gnome-sharp2 fails to build against libgtksourceview2-2.0-cil, from your source package.

spitfire (mieszkoslusarczyk) wrote :
Pedro Fragoso (ember) wrote :

Works fine here.

dpkg -c libgtksourceview2-2.0-cil_2.24.0-1ubuntu1_i386.deb:

-rw-r--r-- root/root 258 2009-01-22 04:25 ./usr/lib/pkgconfig/gtksourceview2-sharp.pc

pkg-config --modversion gtksourceview2-sharp
2.24.0

spitfire (mieszkoslusarczyk) wrote :

Same here.
This must be bug in monodevelop then.

Gediminas Paulauskas (menesis) wrote :

Works for me..

This is blocking updating tomboy, the only upgrade issue I have now.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-desktop-sharp2 - 2.24.0-1ubuntu1

---------------
gnome-desktop-sharp2 (2.24.0-1ubuntu1) jaunty; urgency=low

  * Sync with Debian (LP: #317344)
  * Add Build-dep on libgnomeprintui2.2-dev
  * Install the upstream changelog in the gnome-desktop-sharp2
    package only
  * debian/patches/02_gnomedesktop_dllmap
    + Actually map the new libgnome-desktop-2-11 lib. Fixes
      the dependency generation and library use.

 -- Pedro Fragoso <email address hidden> Tue, 20 Jan 2009 12:30:23 +0000

Changed in gnome-desktop-sharp2:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers